#ifndef __Time_Header_File__
#define __Time_Header_File__


namespace vam
{

#ifdef WIN32
#include <windows.h>
#include <mmsystem.h>

	double myTime()
	{
		LARGE_INTEGER count, freq;
		QueryPerformanceCounter(&count);
		QueryPerformanceFrequency(&freq);
		return (double) (count.QuadPart * 1000 / (double) freq.QuadPart) * 0.001;
	}
#else
#include <sys/time.h>

double myTime()
{
	struct timeval tv;
	gettimeofday(&tv,0);
	return tv.tv_sec + 1e-6 * tv.tv_usec;
}

#endif

} // end of namespace

#endif //__Time_Header_File__
	   
